%global srcname affinity
%global sum control processor affinity on windows and linux

Name: python-affinity
Version: 0.1.0
Release: 15%{?dist}
Summary: Control processor affinity on windows and linux
License: Python
URL: https://pypi.python.org/pypi/affinity
Source0: http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
'affinity' provides a simple api for setting the processor affinity by\
wrapping the specific underlying function calls of each\
platform. works on windows (requires pywin32) and linux (kernel 2.6 or\
patched 2.4).

%description %_description

%package -n python2-affinity
Summary: %summary
%{?python_provide:%python_provide python2-affinity}

%description -n python2-affinity %_description

%prep
%setup -q -n %{srcname}-%{version}

%build
%py2_build
 
%install
%py2_install
chmod 755 %{buildroot}/%{python2_sitearch}/affinity/_affinity.so

%check
%{__python2} setup.py test

%files -n python2-affinity
%{python2_sitearch}/%{srcname}/
%{python2_sitearch}/%{srcname}-*.egg-info

%changelog
* Mon Jul 23 2018 Nick Bebout <nb@fedoraproject.org> - 0.1.0-15
- Fix FTBFS

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.0-13
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-11
- Python 2 binary package renamed to python2-affinity
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 13 2015 Nick Bebout <nb@prgmr.com> - 0.1.0-5
- Update for review

* Wed Aug 5 2015 Nick Bebout <nb@prgmr.com> - 0.1.0-4
- Update for review

* Mon Aug 18 2014 Nick Bebout <nb@prgmr.com> - 0.1.0-3
- Update for review

* Thu Apr 24 2014 Nick Bebout <nb@prgmr.com> - 0.1.0-2
- Prep for Fedora review

* Mon Oct 15 2012 Jun Futagawa <jfut@integ.jp> - 0.1.0-1
- Initial package
